{% extends "_layouts/base.html" %}

{% block css %}
{{block.super}}
<style>
/* Move down content because we have a fixed navbar that is 50px tall */
body {
  padding-top: 50px;
  padding-bottom: 20px;
  background-color: #fafafa;
}

.form-inline .form-group input {
    width: 300px;
}
</style>
{% endblock css %}

{% block page_title %}{{ movie.title }} - MovieX{% endblock %}
{% block page_class %}home-page{% endblock %}
{% block content %}

  <div class="container">
    <div class="row">
      <div class="col-xs-6 col-sm-4 col-md-3">
        <div class="panel panel-primary recommendation-box">
          <div class="panel-heading">
            Movies you might like
          </div>
          <div class="panel-body">
            {% if recommended %}
            {% for movie in recommended %}
                <a href="/details/{{ movie.id }}/"> {{ movie.title }} </a> <br>
            {% endfor %}
            {% endif %}
          </div>            

        </div>
      </div>
      <div class="col-xs-6 col-sm-8 col-md-9">
        <div class="row">
          <div class="col-md-2 col-md-offset-1">
            {% if movie.poster_path %}
              <img src="{{ movie.poster_path }}" />
            {% else %}
              No poster available
            {% endif %}
          </div>
          <div class="col-md-4 movie-details">
            <p class="lead"> {{ movie.title }} {% if metadata %} ({{ metadata.release_date|slice:"4" }} {% endif %})</p>
            {% if metadata %}
              <p>Average vote: {{ metadata.vote_average }}</p>
            {% else %}
              No additional data about movie available.
            {% endif %}

          </div>
        </div>
        <div class="row">
          <div class="col-md-5 col-md-offset-1 movie-summary">
            {% if metadata %}
            <p>{{ metadata.overview }}</p>
            {% endif %}
          </div>
        </div>        
      </div>
    </div>      
  </div>

{% endblock %}
